Zum Hauptinhalt springen
POST
/
marketing
/
campaigns
/
2026-03
/
{campaignGuid}
/
budget
Add budget item
curl --request POST \
  --url https://api.hubapi.com/marketing/campaigns/2026-03/{campaignGuid}/budget \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": 123,
  "name": "<string>",
  "order": 123,
  "description": "<string>"
}
'
{
  "amount": 123,
  "createdAt": 123,
  "id": "<string>",
  "name": "<string>",
  "order": 123,
  "updatedAt": 123,
  "description": "<string>"
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

campaignGuid
string
erforderlich

The unique identifier of the campaign to which the budget item will be added.

Body

application/json
amount
number
erforderlich

The monetary value assigned to the budget item.

name
string
erforderlich

The name of the budget item.

order
integer<int32>
erforderlich

The sequence number indicating the order of the budget item.

description
string

A detailed explanation or notes about the budget item.

Antwort

successful operation

amount
number
erforderlich

The monetary amount allocated for the budget item.

createdAt
integer<int64>
erforderlich

The timestamp when the budget item was created.

id
string
erforderlich

The unique identifier for the budget item.

name
string
erforderlich

The name of the budget item.

order
integer<int32>
erforderlich

The order of the budget item, indicating its sequence based on creation date.

updatedAt
integer<int64>
erforderlich

The timestamp when the budget item was last updated.

description
string

A description of the budget item.

Last modified on April 9, 2026